Skip to content

Network token management ​

You can use this function to provision a network token, get the cryptogram of the network token to make the payment, delete the network token and receive token status update notifications.

Provision a network token ​

  1. Make a POST request to the /paymentMethod endpoint, specifying:

  2. networkTokenOnly: Fixed value: true.

    • paymentMethod.type: Fixed value: card.
    • paymentMethod.card: Object that contains the shopper's card information. Mandatory when paymentMethod.type is card.
    • paymentMethod.card.cardSource: Source of the payment instrument (PAN).
    • userInfo.email: User’s email address, do not longer than 48 characters.
    • userInfo.locale: The user’s language and location, eg: en_US.
  3. You will receive a /paymentMethod response containing:

    • paymentMethod.status: Success or Failed.
    • merchantTransID: The merchant Payment Method transaction ID associated with this /paymentMethod request.
    • paymentMethod.networkToken: This object contains the information of the network token. Details see the API specification.

Get the cryptogram of the network token ​

  1. Make a POST request to the /cryptogram endpoint, specifying:
    • paymentMethod.type: Fixed value: networkToken .
    • paymentMethod.networkToken.tokenID: This field is used to send network token ID which obtain when provision a network token in /paymentMethod interface.
  2. You will receive a /cryptogram response containing:
    • cryptogram.status: Success or Failed.
    • cryptogram.merchantTransID: The merchant Cryptogram transaction ID associated with this /cryptogram request.
    • paymentMethod.networkToken: This object contains the information of the network token. Details see the API specification.

Inquiry a network token provision request ​

  1. If you have not received our response, you can make a GET /paymentMethod request to inquire about the result of provision a network token, specifying:
    • merchantTransID: The value in the endpoint. To indicate the original POST /paymentMethod request.

Inquiry a get cryptogram request ​

  1. If you have not received our response, you can make a GET /cryptogram request to inquire about the result of get cryptogram, specifying:
    • merchantTransID: The value in the endpoint. To indicate the original POST /cryptogram request.

Delete the network token ​

  1. Make a DELETE request to the /paymentMethod endpoint, specifying:
    • networkTokenID (query parameter): This field is used to send networkTokenID which obtain when provision a network token.
  2. You will receive a /paymentMethod response containing:
    • result.code: Success or Failed.
    • paymentMethod.networkToken: This object contains the information of the network token. Details see the API specification.
    • paymentMethod.networkToken.status: The status of the network token, if the status is INACTIVEmeans the token has been deleted.

Token status update notifications ​

TIP

Once the network token status has been updated, we will send you a notification with:

  • eventCode: tokenUpdate
  • paymentMethod.networkToken: This object contains the information of the network token. Details see the API specification.

TIP

Or once provision network token success or failed, we will send you a notification with:

  • eventCode: paymentMethod
  • merchantTransID: The merchant Payment Method transaction ID associated with this /paymentMethod request.
  • paymentMethod.networkToken: This object contains the information of the network token. Details see the API specification.
  • paymentMethod.status: Success

Get cryptogram notifications ​

  1. Once the cryptogram has been created, we will send you a notification with:
    • eventCode: Cryptogram
    • cryptogram.networkToken: This object contains the information of the network token. Details see the API specification.